Bug 402231 - Firefox won't start up without working DNS
Firefox won't start up without working DNS
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
i386 Linux
low Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
firefox3INSUFFICIENT_DATAmassClosing
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 01:48 EST by Fridtjof Busse
Modified: 2008-04-09 10:04 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 10:04:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fridtjof Busse 2007-11-28 01:48:37 EST
Description of problem:
Firefox will not start up if there's no DNS server available. But the really bad
thing is that firefox simply will stay in the background without any error. You
have to manually kill the process to get it running again (after fixing the DNS).
This is extremly annoying, not only because of the missing error message, but
also because sometimes I simply don't have a working DNS available and would
like to run firefox with IP addresses, but as it won't start up, this is impossible.
I have never seen this behavior prior to F8.

Version-Release number of selected component (if applicable):
2.0.0.9-1

How reproducible:
Put an unreachable DNS into /etc/resolv.conf and start firefox (using
networkmanager, haven't checked the traditional setup).
Comment 1 Fridtjof Busse 2007-11-28 01:54:14 EST
BTW: This happens in safe-mode as well, so it's not the fault of a plugin. So
far I have only encountered this on my notebook (it visits other networks quite
often, my desktop doesn't).
Comment 2 Matěj Cepl 2008-02-21 17:34:15 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 3 Matěj Cepl 2008-02-21 17:35:23 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 4 Matěj Cepl 2008-04-09 10:04:53 EDT
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

[This is a mass-closing request, if you think that this bug shouldn't be closed,
please, reopen with additional information.]

Note You need to log in before you can comment on or make changes to this bug.